#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    //pmArray = new QPixmap[11];

    pmArray[0].load("../images/0.gif", "GIF", 0);
    pmArray[1].load("../images/1.gif", "GIF", 0);
    pmArray[2].load("../images/2.gif", "GIF", 0);
    pmArray[3].load("../images/3.gif", "GIF", 0);
    pmArray[4].load("../images/4.gif", "GIF", 0);
    pmArray[5].load("../images/5.gif", "GIF", 0);
    pmArray[6].load("../images/6.gif", "GIF", 0);
    pmArray[7].load("../images/7.gif", "GIF", 0);
    pmArray[8].load("../images/8.gif", "GIF", 0);
    pmArray[9].load("../images/9.gif", "GIF", 0);
    pmArray[10].load("../images/blank.gif", "GIF", 0);

    ui->label->setPixmap(pmArray[0]);

    timer = new QTimer(this);
    connect(timer, SIGNAL(timeout()), this, SLOT(update()));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void MainWindow::quitSlot()
{
    qApp->quit();
}

void MainWindow::startTimer()
{
    imageCount = 9;
    ui->label->setPixmap(pmArray[imageCount]);
    timer->start(1000);
}

void MainWindow::update()
{
    if (imageCount > 0)
    {
        imageCount--;
        ui->label->setPixmap(pmArray[imageCount]);
    }
    else
    {
        timer->stop();
    }
}
